Bug 1889492 - Logging - RFE - support property-based filters in the files and forwards outputs
Summary: Logging - RFE - support property-based filters in the files and forwards outputs
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rhel-system-roles
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Noriko Hosoi
QA Contact: CS System Management SST QE
URL:
Whiteboard: role:logging
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-19 18:52 UTC by Noriko Hosoi
Modified: 2020-11-26 00:30 UTC (History)
2 users (show)

Fixed In Version: rhel-system-roles-1.0-21.el8
Doc Type: Enhancement
Doc Text:
Feature: Property-based filter is added to the files output, the forwards output, and the remote_files output of the Logging role. Reason: Filtering log messages by the properties such as hostname, tag, and the message itself is useful to manage logs. Result: The feature is provided by the underlying sub-role rsyslog and made available to configure via the Logging role.
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github linux-system-roles logging pull 182 None closed Logging - support property-based filters in the files and forwards ou… 2020-11-23 16:50:37 UTC

Description Noriko Hosoi 2020-10-19 18:52:31 UTC
Description of problem:
RHELPLAN-56797 - Logging - RFE - support property-based filters in the files and forwards outputs

https://github.com/linux-system-roles/logging/issues/179

In an rsyslog.conf file I would use the following:
:msg, startswith, "somefilter" -/var/log/output.log

Rsyslog doc: https://www.rsyslog.com/doc/v8-stable/configuration/filters.html

Comment 1 Noriko Hosoi 2020-10-19 18:56:46 UTC
Upstream CI test cases are available in https://github.com/linux-system-roles/logging/blob/master/tests/tests_basics_files2.yml.

Comment 3 Noriko Hosoi 2020-10-29 20:50:13 UTC
Hi David,
As described in #c1, there is a test case in the upstream CI to verify this bug.
Could you give a qa_ack+?
Thanks!


Note You need to log in before you can comment on or make changes to this bug.